"""nilmdb.server"""

from __future__ import absolute_import

# Try to set up pyximport to automatically rebuild Cython modules.  If
# this doesn't work, it's OK, as long as the modules were built externally.
# (e.g. python setup.py build_ext --inplace)
try:
    import pyximport
    pyximport.install()
except: # pragma: no cover
    pass

import nilmdb.server.layout
from nilmdb.server.nilmdb import NilmDB
from nilmdb.server.server import Server
from nilmdb.server.errors import NilmDBError, StreamError, OverlapError
